[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#690727: linux-image-3.2.0-3-686-pae: user space serial console messages held back on HS20 blade until qla2xxx is loaded



Package: src:linux
Version: 3.2.23-1
Severity: normal

Dear Maintainer,

This is an issue on IBM HS20 blades with serial over LAN console.  In short,
kernel messages get through all right, but user space messages are buffered
until the qla2xxx FC HBA driver module is loaded.  Everything is right if I
reverse the order of the two console parameters, making /dev/console refer
to the tty0 virtual console.  For debugging, I made the following changes:

$ diff -u /usr/share/initramfs-tools/init.orig /usr/share/initramfs-tools/init
--- /usr/share/initramfs-tools/init.orig	2012-09-21 11:00:57.000000000 +0200
+++ /usr/share/initramfs-tools/init	2012-10-16 19:20:27.847481927 +0200
@@ -2,6 +2,8 @@
 
 echo "Loading, please wait..."
 
+ls -l /dev
+
 [ -d /dev ] || mkdir -m 0755 /dev
 [ -d /root ] || mkdir -m 0700 /root
 [ -d /sys ] || mkdir /sys
@@ -23,6 +25,10 @@
 	[ -e /dev/console ] || mknod -m 0600 /dev/console c 5 1
 	[ -e /dev/null ] || mknod /dev/null c 1 3
 fi
+
+# devtmpfs provides /dev/ksmg here
+ls -l /dev | while read line; do echo "<2>1;$line"; done >/dev/kmsg
+
 mkdir /dev/pts
 mount -t devpts -o noexec,nosuid,gid=5,mode=0620 devpts /dev/pts || true
 mount -t tmpfs -o "nosuid,size=20%,mode=0755" tmpfs /run
@@ -33,6 +39,18 @@
 . /conf/arch.conf
 
 # Set modprobe env
+cat >/firmware_loader <<"EOF"
+#!/bin/sh
+[ $ACTION = add ] || exit 0
+[ $SUBSYSTEM = firmware ] || exit 0
+echo 1 > /sys/$DEVPATH/loading
+cat /lib/firmware/$FIRMWARE >/sys/$DEVPATH/data
+echo 0 > /sys/$DEVPATH/loading
+EOF
+chmod +x /firmware_loader
+echo /firmware_loader >/proc/sys/kernel/hotplug
+echo "<2>Loading qla2xxx" | tee /dev/kmsg
+modprobe qla2xxx
 export MODPROBE_OPTIONS="-qb"
 
 # Export relevant variables

When I boot with the command line below I get the following output on the
SoL console:

[    1.372747] 1;total 0
[    1.386604] 1;crw-------    1 0        0           5,   1 Oct 16 17:32 console
[    1.430066] 1;crw-------    1 0        0          10,  62 Oct 16 17:32 cpu_dma_latency
[    1.477674] 1;crw-rw-rw-    1 0        0           1,   7 Oct 16 17:32 full
[...]
[    5.253934] 1;crw-------    1 0        0           7, 129 Oct 16 17:32 vcsa1
[    5.296328] 1;crw-------    1 0        0          10,  63 Oct 16 17:32 vga_arbiter
[    5.341881] 1;crw-rw-rw-    1 0        0           1,   5 Oct 16 17:32 zero
[    5.390701] Loading qla2xxx
[    9.844731] qla2xxx [0000:02:02.1]-0050:1: No matching ROM signature.
Loading, please wait...
total 0
crw-------    1 0        0           5,   1 Oct 16 17:32 console
<2>Loading qla2xxx
Spawning shell within the initramfs
[...]

As can be seen, the output of the echo and ls commands is delayed until the
qla2xxx module is loaded.  Consequently, if I don't load the module I can't
even get a command prompt, because the user space console does not work.
It's not a (recent) regression, even 2.6.18 exhibited this strangeness.  It's
also hardware dependent, the same kernel and initrd works fine in QEMU.

If I boot with loglevel=7 qla2xxx.ql2xextended_error_logging=0x7fffffff, then
the appearance of user space console output is positioned as:

[    7.841217] qla2xxx [0000:00:00.0]-0005: : QLogic Fibre Channel HBA Driver: 8.03.07.12-k-debug.
[    7.893460] qla2xxx [0000:02:02.0]-0808: : Bars=67.
[    7.922728] qla2xxx 0000:02:02.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[    7.964985] qla2xxx [0000:02:02.0]-080a: : Memory allocated for ha=f750f800.
[    8.007281] qla2xxx [0000:02:02.0]-080b: : device_type=0x90000008 port=1 fw_srisc_address=00000800.
[    8.061515] qla2xxx [0000:02:02.0]-0814: : PIO address=00002400.
[    8.097534] qla2xxx [0000:02:02.0]-081c: : MSIX Count:2.
[    8.129420] qla2xxx [0000:02:02.0]-001d: : Found an ISP2312 irq 18 iobase 0xf81fe000.
[    8.176374] qla2xxx [0000:02:02.0]-081e: : mbx_count=32, req_length=2048, rsp_length=512, max_loop_id=2047, init_cb_size=96, gid_list_info_size=6, optrom_size=131072, nvram_npiv_size=0, .
[    8.276393] qla2xxx [0000:02:02.0]-081f: : isp_ops=f82ef4d4, flash_conf_off=-1, flash_data_off=-1, nvram_conf_off=-1, nvram_data_off=-1.
[    8.349901] qla2xxx [0000:02:02.0]-0820: : 64 Bit addressing is disable.
[    8.390104] qla2xxx [0000:02:02.0]-0822: : init_cb=f7511000 gid_list=f750e000, srb_mempool=f746a780 s_dma_pool=f7455780.
[    8.455270] qla2xxx [0000:02:02.0]-0827: : ms_iocb=f7513000 ct_sns=f7514000.
[    8.497837] qla2xxx [0000:02:02.0]-082c: : req=f74f4000 req->length=2048 req->ring=f7540000 rsp=f7455700 rsp->length=512 rsp->ring=f7530000.
[    8.573405] qla2xxx [0000:02:02.0]-082f: : async_pd=f7513100.
[    8.607934] qla2xxx [0000:02:02.0]-0841:0: Allocated the host=f750f000 hw=f750f800 vha=f750f3bc dev_name=0000:02:02.0
[    8.670469] qla2xxx [0000:02:02.0]-0832:0: can_queue=2176, req=f74f4000, mgmt_svr_loop_id=254, sg_tablesize=128.
[    8.732616] qla2xxx [0000:02:02.0]-0833:0: max_id=512 this_id=255 cmd_per_len=3 unique_id=0 max_cmd_len=16 max_channel=0 max_lun=65535 transportt=f750d800, vendor_id=4215.
[    8.824418] qla2xxx [0000:02:02.0]-c809:0: rsp_q_map=f7452a20 req_q_map=f60dc960 rsp->req=f74f4000 req->rsp=f7455700.
Loading, please [    8.888065] qla2xxx [0000:02:02.0]-c80a:0: req->req_q_in=f81fe01c req->req_q_out=f81fe020 rsp->rsp_q_in=f81fe024 rsp->rsp_q_out=f81fe028.
wait...
total 0[    8.970322] qla2xxx [0000:02:02.0]-083e:0: rsp_q_map=f7452a20 req_q_map=f60dc960 rsp->req=f74f4000 req->rsp=f7455700.

crw-------    [    9.042184] qla2xxx [0000:02:02.0]-083f:0: req->req_q_in=f81fe01c req->req_q_out=f81fe020 rsp->rsp_q_in=f81fe024 rsp->rsp_q_out=f81fe028.
1 0        0    [    9.124447] qla2xxx [0000:02:02.0]-0040:0: Configuring PCI space...
       5,   1 Oc[    9.170461] qla2xxx [0000:02:02.0]-0852:0: Read BIOS 1.43.
t 16 18:35 conso[    9.211479] qla2xxx [0000:02:02.0]-0061:0: Configure NVRAM parameters...
le
<2>Loading qla2xxx

This could help identifying the operation which brings the user space console
to life, but such stuff is pretty much over my head.  I'd be grateful for any
help debugging and hopefully fixing this.

Thanks,
Feri.

-- Package-specific info:
** Version:
Linux version 3.2.0-3-686-pae (Debian 3.2.23-1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-8) ) #1 SMP Mon Jul 23 03:50:34 UTC 2012

** Command line:
console=tty0 console=ttyS0,19200r loglevel=3 break=top initrd=initrd.img-3.2.0-3-686-pae.qla BOOT_IMAGE=vmlinuz-3.2.0-3-686-pae

** Not tainted

** Kernel log:
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.2.0-3-686-pae (Debian 3.2.23-1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-8) ) #1 SMP Mon Jul 23 03:50:34 UTC 2012
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009dc00 (usable)
[    0.000000]  BIOS-e820: 000000000009dc00 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000003ffed040 (usable)
[    0.000000]  BIOS-e820: 000000003ffed040 - 000000003fff0000 (ACPI data)
[    0.000000]  BIOS-e820: 000000003fff0000 - 0000000040000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
[    0.000000] Notice: NX (Execute Disable) protection missing in CPU!
[    0.000000] DMI 2.3 present.
[    0.000000] DMI: IBM IBM eServer BladeCenter HS20 -[883221X]-/Server Blade, BIOS -[BSE123AUS-1.09]- 07/20/2005
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[    0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)
[    0.000000] last_pfn = 0x3ffed max_arch_pfn = 0x1000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-CBFFF write-protect
[    0.000000]   CC000-DFFFF uncachable
[    0.000000]   E0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask FC0000000 write-back
[    0.000000]   1 disabled
[    0.000000]   2 disabled
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] found SMP MP-table at [c009e140] 9e140
[    0.000000] initial memory mapped : 0 - 01a00000
[    0.000000] Base memory trampoline at [c0099000] 99000 size 16384
[    0.000000] init_memory_mapping: 0000000000000000-00000000379fe000
[    0.000000]  0000000000 - 0000200000 page 4k
[    0.000000]  0000200000 - 0037800000 page 2M
[    0.000000]  0037800000 - 00379fe000 page 4k
[    0.000000] kernel direct mapping tables up to 379fe000 @ 19fa000-1a00000
[    0.000000] RAMDISK: 3f4fa000 - 3ffcc000
[    0.000000] Allocated new RAMDISK: 36f2c000 - 379fd60f
[    0.000000] Move RAMDISK from 000000003f4fa000 - 000000003ffcb60e to 36f2c000 - 379fd60e
[    0.000000] ACPI: RSDP 000fdfc0 00014 (v00 IBM   )
[    0.000000] ACPI: RSDT 3ffeff80 0002C (v01 IBM    SERBLADE 00001000 IBM  45444F43)
[    0.000000] ACPI: FACP 3ffeff00 00074 (v01 IBM    SERBLADE 00001000 IBM  45444F43)
[    0.000000] ACPI: DSDT 3ffed040 02D69 (v01 IBM    SERBLADE 00001000 INTL 02002025)
[    0.000000] ACPI: FACS 3ffefe00 00040
[    0.000000] ACPI: APIC 3ffefe40 00092 (v01 IBM    SERBLADE 00001000 IBM  45444F43)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] 133MB HIGHMEM available.
[    0.000000] 889MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 379fe000
[    0.000000]   low ram: 0 - 379fe000
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000379fe
[    0.000000]   HighMem  0x000379fe -> 0x0003ffed
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009d
[    0.000000]     0: 0x00000100 -> 0x0003ffed
[    0.000000] On node 0 totalpages: 262010
[    0.000000] free_area_init_node: node 0, pgdat c140d680, node_mem_map f672b200
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 3949 pages, LIFO batch:0
[    0.000000]   Normal zone: 1748 pages used for memmap
[    0.000000]   Normal zone: 221994 pages, LIFO batch:31
[    0.000000]   HighMem zone: 268 pages used for memmap
[    0.000000]   HighMem zone: 34019 pages, LIFO batch:7
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x488
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x06] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x07] enabled)
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] dfl dfl lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] dfl dfl lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] dfl dfl lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] dfl dfl lint[0x1])
[    0.000000] ACPI: IOAPIC (id[0x0e] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 14, version 17, address 0xfec00000, GSI 0-15
[    0.000000] ACPI: IOAPIC (id[0x0d] address[0xfec01000] gsi_base[16])
[    0.000000] IOAPIC[1]: apic_id 13, version 17, address 0xfec01000, GSI 16-31
[    0.000000] ACPI: IOAPIC (id[0x0c] address[0xfec02000] gsi_base[32])
[    0.000000] IOAPIC[2]: apic_id 12, version 17, address 0xfec02000, GSI 32-47
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ2 used by override.
[    0.000000] ACPI: IRQ5 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] SMP: Allowing 4 CPUs, 0 hotplug CPUs
[    0.000000] nr_irqs_gsi: 64
[    0.000000] PM: Registered nosave memory: 000000000009d000 - 000000000009e000
[    0.000000] PM: Registered nosave memory: 000000000009e000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000e0000
[    0.000000] PM: Registered nosave memory: 00000000000e0000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 40000000 (gap: 40000000:bec00000)
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:4 nr_node_ids:1
[    0.000000] PERCPU: Embedded 14 pages/cpu @f66ec000 s33280 r0 d24064 u57344
[    0.000000] pcpu-alloc: s33280 r0 d24064 u57344 alloc=14*4096
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 259962
[    0.000000] Kernel command line: console=tty0 console=ttyS0,19200r loglevel=3 break=top initrd=initrd.img-3.2.0-3-686-pae.qla BOOT_IMAGE=vmlinuz-3.2.0-3-686-pae 
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Initializing CPU#0
[    0.000000] Initializing HighMem for node 0 (000379fe:0003ffed)
[    0.000000] Memory: 1022508k/1048500k available (2836k kernel code, 25532k reserved, 1343k data, 412k init, 137148k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xffd36000 - 0xfffff000   (2852 kB)
[    0.000000]     pkmap   : 0xffa00000 - 0xffc00000   (2048 kB)
[    0.000000]     vmalloc : 0xf81fe000 - 0xff9fe000   ( 120 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf79fe000   ( 889 MB)
[    0.000000]       .init : 0xc1415000 - 0xc147c000   ( 412 kB)
[    0.000000]       .data : 0xc12c51ec - 0xc1414f40   (1343 kB)
[    0.000000]       .text : 0xc1000000 - 0xc12c51ec   (2836 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] NR_IRQS:2304 nr_irqs:1024 16
[    0.000000] CPU 0 irqstacks, hard=f6008000 soft=f600a000
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] console [ttyS0] enabled
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 2799.255 MHz processor.
[    0.008003] Calibrating delay loop (skipped), value calculated using timer frequency.. 5598.51 BogoMIPS (lpj=11197020)
[    0.008010] pid_max: default: 32768 minimum: 301
[    0.008066] Security Framework initialized
[    0.008076] AppArmor: AppArmor disabled by boot time parameter
[    0.008100] Mount-cache hash table entries: 512
[    0.008284] Initializing cgroup subsys cpuacct
[    0.008294] Initializing cgroup subsys memory
[    0.008306] Initializing cgroup subsys devices
[    0.008309] Initializing cgroup subsys freezer
[    0.008312] Initializing cgroup subsys net_cls
[    0.008315] Initializing cgroup subsys blkio
[    0.008324] Initializing cgroup subsys perf_event
[    0.008366] CPU: Physical Processor ID: 0
[    0.008369] CPU: Processor Core ID: 0
[    0.008372] mce: CPU supports 4 MCE banks
[    0.008386] CPU0: Thermal monitoring enabled (TM1)
[    0.008925] ACPI: Core revision 20110623
[    0.013648] Enabling APIC mode:  Flat.  Using 3 I/O APICs
[    0.014399] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.054096] CPU0: Intel(R) Xeon(TM) CPU 2.80GHz stepping 09
[    0.056003] Performance Events: Netburst events, Netburst P4/Xeon PMU driver.
[    0.056003] ... version:                0
[    0.056003] ... bit width:              40
[    0.056003] ... generic registers:      18
[    0.056003] ... value mask:             000000ffffffffff
[    0.056003] ... max period:             0000007fffffffff
[    0.056003] ... fixed-purpose events:   0
[    0.056003] ... event mask:             000000000003ffff
[    0.056003] NMI watchdog enabled, takes one hw-pmu counter.
[    0.056003] CPU 1 irqstacks, hard=f607c000 soft=f607e000
[    0.056003] Booting Node   0, Processors  #1
[    0.056003] smpboot cpu 1: start_ip = 99000
[    0.012000] Initializing CPU#1
[    0.144053] NMI watchdog enabled, takes one hw-pmu counter.
[    0.144241] CPU 2 irqstacks, hard=f60ae000 soft=f60b0000
[    0.144244]  #2
[    0.144247] smpboot cpu 2: start_ip = 99000
[    0.012000] Initializing CPU#2
[    0.236071] NMI watchdog enabled, takes one hw-pmu counter.
[    0.236291] CPU 3 irqstacks, hard=f60c2000 soft=f60c4000
[    0.236295]  #3 Ok.
[    0.236297] smpboot cpu 3: start_ip = 99000
[    0.012000] Initializing CPU#3
[    0.328052] NMI watchdog enabled, takes one hw-pmu counter.
[    0.328094] Brought up 4 CPUs
[    0.328098] Total of 4 processors activated (22394.84 BogoMIPS).
[    0.329568] devtmpfs: initialized
[    0.329568] print_constraints: dummy: 
[    0.32se access
[    0.332153] bio: create slab <bio-0> at 0
[    0.332252] ACPI: Added _OSI(Module Device)
[    0.332252] ACPI: Added _OSI(Processor Device)
[    0.332252] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.332252] ACPI: Added _OSI(Processor Aggregator Device)
[    0.332991] ACPI: EC: Look up EC in DSDT
[    0.334431] ACPI: Interpreter enabled
[    0.334440] ACPI: (supports S0 S4 S5)
[    0.334465] ACPI: Using IOAPIC for interrupt routing
[    0.337522] ACPI: No dock devices found.
[    0.337527] HEST: Table not found.
[    0.337535] PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
[    0.339219] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00])
[    0.342574] pci_root PNP0A03:00: host bridge window [io  0x03c0-0x03df] (ignored)
[    0.342580] pci_root PNP0A03:00: host bridge window [io  0x03b0-0x03bb] (ignored)
[    0.342584] pci_root PNP0A03:00: host bridge window [mem 0x000a0000-0x000bffff] (ignored)
[    0.342588] pci_root PNP0A03:00: host bridge window [mem 0xfc000000-0xffffffff] (ignored)
[    0.342592] pci_root PNP0A03:00: host bridge window [io  0x03e0-0x22ff] (ignored)
[    0.342595] pci_root PNP0A03:00: host bridge window [io  0x03bc-0x03bf] (ignored)
[    0.342599] pci_root PNP0A03:00: host bridge window [io  0x0000-0x03af] (ignored)
[    0.342613] pci 0000:00:00.0: [1166:0014] type 0 class 0x000600
[    0.342653] pci 0000:00:00.1: [1166:0014] type 0 class 0x000600
[    0.342684] pci 0000:00:00.2: [1166:0014] type 0 class 0x000600
[    0.342727] pci 0000:00:01.0: [1002:4752] type 0 class 0x000300
[    0.342747] pci 0000:00:01.0: reg 10: [mem 0xfd000000-0xfdffffff]
[    0.342759] pci 0000:00:01.0: reg 14: [io  0x2200-0x22ff]
[    0.342770] pci 0000:00:01.0: reg 18: [mem 0xfebff000-0xfebfffff]
[    0.342807] pci 0000:00:01.0: reg 30: [mem 0x00000000-0x0001ffff pref]
[    0.342837] pci 0000:00:01.0: supports D1 D2
[    0.342869] pci 0000:00:0f.0: [1166:0203] type 0 class 0x000600
[    0.342921] pci 0000:00:0f.1: [1166:0213] type 0 class 0x000101
[    0.342934] pci 0000:00:0f.1: reg 10: [io  0x01f0-0x01f7]
[    0.342944] pci 0000:00:0f.1: reg 14: [io  0x03f4-0x03f7]
[    0.342954] pci 0000:00:0f.1: reg 18: [io  0x0170-0x0177]
[    0.342964] pci 0000:00:0f.1: reg 1c: [io  0x0374-0x0377]
[    0.342974] pci 0000:00:0f.1: reg 20: [io  0x0700-0x070f]
[    0.343009] pci 0000:00:0f.2: [1166:0221] type 0 class 0x000c03
[    0.343023] pci 0000:00:0f.2: reg 10: [mem 0xfebfe000-0xfebfefff]
[    0.343086] pci 0000:00:0f.3: [1166:0227] type 0 class 0x000601
[    0.343166] pci 0000:00:10.0: [1166:0110] type 0 class 0x000600
[    0.343229] pci 0000:00:10.2: [1166:0110] type 0 class 0x000600
[    0.343305] pci_bus 0000:00: on NUMA node 0
[    0.343311] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.343398]  pci0000:00: Unable to request _OSC control (_OSC support mask: 0x1e)
[    0.345765] ACPI: PCI Root Bridge [PCI1] (domain 0000 [bus 02])
[    0.347584] pci_root PNP0A03:01: host bridge window [mem 0xf8000000-0xf9ffffff] (ignored)
[    0.347589] pci_root PNP0A03:01: host bridge window [io  0x2300-0x26ff] (ignored)
[    0.347612] pci 0000:02:02.0: [1077:2312] type 0 class 0x000c04
[    0.347631] pci 0000:02:02.0: reg 10: [io  0x2400-0x24ff]
[    0.347644] pci 0000:02:02.0: reg 14: [mem 0xf9ffe000-0xf9ffefff 64bit]
[    0.347673] pci 0000:02:02.0: reg 30: [mem 0x00000000-0x0001ffff pref]
[    0.347742] pci 0000:02:02.1: [1077:2312] type 0 class 0x000c04
[    0.347760] pci 0000:02:02.1: reg 10: [io  0x2600-0x26ff]
[    0.347773] pci 0000:02:02.1: reg 14: [mem 0xf9ffc000-0xf9ffcfff 64bit]
[    0.347801] pci 0000:02:02.1: reg 30: [mem 0x00000000-0x0001ffff pref]
[    0.347888] pci_bus 0000:02: on NUMA node 0
[    0.347892] ACPI: PCI Interrupt Routing Table [\_SB_.PCI1._PRT]
[    0.347943]  pci0000:02: Unable to request _OSC control (_OSC support mask: 0x1e)
[    0.348808] ACPI: PCI Root Bridge [PCI2] (domain 0000 [bus 01])
[    0.350265] pci_root PNP0A03:02: host bridge window [mem 0xfa000000-0xfbffffff] (ignored)
[    0.350287] pci 0000:01:00.0: [14e4:16a8] type 0 class 0x000200
[    0.350308] pci 0000:01:00.0: reg 10: [mem 0xfbff0000-0xfbffffff 64bit]
[    0.350322] pci 0000:01:00.0: reg 18: [mem 0xfbfe0000-0xfbfeffff 64bit]
[    0.350387] pci 0000:01:00.0: PME# supported from D3hot D3cold
[    0.350393] pci 0000:01:00.0: PME# disabled
[    0.350423] pci 0000:01:00.1: [14e4:16a8] type 0 class 0x000200
[    0.350443] pci 0000:01:00.1: reg 10: [mem 0xfbfd0000-0xfbfdffff 64bit]
[    0.350457] pci 0000:01:00.1: reg 18: [mem 0xfbfc0000-0xfbfcffff 64bit]
[    0.350520] pci 0000:01:00.1: PME# supported from D3hot D3cold
[    0.350525] pci 0000:01:00.1: PME# disabled
[    0.350573] pci_bus 0000:01: on NUMA node 0
[    0.350577] ACPI: PCI Interrupt Routing Table [\_SB_.PCI2._PRT]
[    0.350621]  pci0000:01: Unable to request _OSC control (_OSC support mask: 0x1e)
[    0.351005] ACPI: PCI Interrupt Link [LPUS] (IRQs *7)
[    0.351240] ACPI: PCI Interrupt Link [LPID] (IRQs *14)
[    0.351374] vgaarb: device added: PCI:0000:00:01.0,decodes=io+mem,owns=io+mem,locks=none
[    0.351374] vgaarb: loaded
[    0.351374] vgaarb: bridge control possible 0000:00:01.0
[    0.351374] PCI: Using ACPI for IRQ routing
[    0.351374] PCI: pci_cache_line_size set to 64 bytes
[    0.351374] reserve RAM buffer: 000000000009dc00 - 000000000009ffff 
[    0.351374] reserve RAM buffer: 000000003ffed040 - 000000003fffffff 
[    0.354937] pnp: PnP ACPI init
[    0.354968] ACPI: bus type pnp registered
[    0.356738] pnp 00:00: [io  0x03c0-0x03df window]
[    0.356742] pnp 00:00: [io  0x03b0-0x03bb window]
[    0.356746] pnp 00:00: [mem 0x000a0000-0x000bffff window]
[    0.356750] pnp 00:00: [bus 00]
[    0.356753] pnp 00:00: [mem 0xfc000000-0xffffffff window]
[    0.356757] pnp 00:00: [io  0x03e0-0x22ff window]
[    0.356760] pnp 00:00: [io  0x03bc-0x03bf window]
[    0.356764] pnp 00:00: [io  0x0000-0x03af window]
[    0.356832] pnp 00:00: Plug and Play ACPI device, IDs PNP0a03 (active)
[    0.357712] pnp 00:01: [io  0x0510-0x0517]
[    0.357716] pnp 00:01: [io  0x0504-0x0507]
[    0.357719] pnp 00:01: [io  0x0500-0x0503]
[    0.357722] pnp 00:01: [io  0x0420-0x0427]
[    0.357725] pnp 00:01: [io  0x0460-0x0461]
[    0.357728] pnp 00:01: [io  0x002e-0x002f]
[    0.357805] system 00:01: [io  0x0510-0x0517] has been reserved
[    0.357810] system 00:01: [io  0x0504-0x0507] has been reserved
[    0.357813] system 00:01: [io  0x0500-0x0503] has been reserved
[    0.357817] system 00:01: [io  0x0420-0x0427] has been reserved
[    0.357821] system 00:01: [io  0x0460-0x0461] has been reserved
[    0.357826] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.358406] pnp 00:02: [irq 4]
[    0.358410] pnp 00:02: [io  0x03f8-0x03ff]
[    0.358723] pnp 00:02: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.358776] pnp 00:03: [io  0x0020-0x0021]
[    0.358780] pnp 00:03: [io  0x00a0-0x00a1]
[    0.358822] pnp 00:03: Plug and Play ACPI device, IDs PNP0003 (active)
[    0.358848] pnp 00:04: [dma 4]
[    0.358852] pnp 00:04: [io  0x0000-0x001f]
[    0.358855] pnp 00:04: [io  0x0080-0x008f]
[    0.358858] pnp 00:04: [io  0x00c0-0x00df]
[    0.358899] pnp 00:04: Plug and Play ACPI device, IDs PNP0200 (active)
[    0.358936] pnp 00:05: [io  0x0070-0x0073]
[    0.358944] pnp 00:05: [irq 8]
[    0.358989] pnp 00:05: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.359014] pnp 00:06: [io  0x0061]
[    0.359058] pnp 00:06: Plug and Play ACPI device, IDs PNP0800 (active)
[    0.359083] pnp 00:07: [io  0x00f0-0x00ff]
[    0.359090] pnp 00:07: [irq 13]
[    0.359135] pnp 00:07: Plug and Play ACPI device, IDs PNP0c04 (active)
[    0.359162] pnp 00:08: [io  0x0060]
[    0.359165] pnp 00:08: [io  0x0064]
[    0.359168] pnp 00:08: [io  0x0092]
[    0.359171] pnp 00:08: [io  0x00eb-0x00ec]
[    0.359174] pnp 00:08: [io  0x01ec-0x01ef]
[    0.359177] pnp 00:08: [io  0x0400-0x04fe]
[    0.359179] pnp 00:08: [io  0x0600]
[    0.359182] pnp 00:08: [io  0x0800-0x080f]
[    0.359185] pnp 00:08: [io  0x0c00-0x0cfe]
[    0.359188] pnp 00:08: [io  0x0f50-0x0f58]
[    0.359191] pnp 00:08: [mem 0xfec00000-0xffffffff]
[    0.359264] system 00:08: [io  0x01ec-0x01ef] has been reserved
[    0.359269] system 00:08: [io  0x0400-0x04fe] could not be reserved
[    0.359273] system 00:08: [io  0x0600] has been reserved
[    0.359277] system 00:08: [io  0x0800-0x080f] has been reserved
[    0.359281] system 00:08: [io  0x0c00-0x0cfe] could not be reserved
[    0.359285] system 00:08: [io  0x0f50-0x0f58] has been reserved
[    0.359290] system 00:08: [mem 0xfec00000-0xffffffff] could not be reserved
[    0.359294] system 00:08: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.360293] pnp 00:09: [bus 02]
[    0.360297] pnp 00:09: [mem 0xf8000000-0xf9ffffff window]
[    0.360301] pnp 00:09: [io  0x2300-0x26ff window]
[    0.360353] pnp 00:09: Plug and Play ACPI device, IDs PNP0a03 (active)
[    0.361077] pnp 00:0a: [bus 01]
[    0.361081] pnp 00:0a: [mem 0xfa000000-0xfbffffff window]
[    0.361131] pnp 00:0a: Plug and Play ACPI device, IDs PNP0a03 (active)
[    0.361197] pnp: PnP ACPI: found 11 devices
[    0.361200] ACPI: ACPI bus type pnp unregistered
[    0.361204] PnPBIOS: Disabled by ACPI PNP
[    0.399484] Switching to clocksource acpi_pm
[    0.399538] PCI: max bus depth: 0 pci_try_num: 1
[    0.399555] pci 0000:00:01.0: BAR 6: assigned [mem 0x40000000-0x4001ffff pref]
[    0.399563] pci 0000:02:02.0: BAR 6: assigned [mem 0x40020000-0x4003ffff pref]
[    0.399568] pci 0000:02:02.1: BAR 6: assigned [mem 0x40040000-0x4005ffff pref]
[    0.399574] pci_bus 0000:00: resource 0 [io  0x0000-0xffff]
[    0.399578] pci_bus 0000:00: resource 1 [mem 0x00000000-0xfffffffff]
[    0.399582] pci_bus 0000:02: resource 0 [io  0x0000-0xffff]
[    0.399585] pci_bus 0000:02: resource 1 [mem 0x00000000-0xfffffffff]
[    0.399588] pci_bus 0000:01: resource 0 [io  0x0000-0xffff]
[    0.399592] pci_bus 0000:01: resource 1 [mem 0x00000000-0xfffffffff]
[    0.399718] NET: Registered protocol family 2
[    0.399843] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.399843] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.399843] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.399843] TCP: Hash tables configured (established 131072 bind 65536)
[    0.399843] TCP reno registered
[    0.399843] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.399843] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.399843] NET: Registered protocol family 1
[    0.399843] pci 0000:00:01.0: Boot video device
[    0.399843] PCI: CLS mismatch (64 != 32), using 64 bytes
[    0.399843] ACPI: PCI Interrupt Link [LPUS] enabled at IRQ 7
[    0.399843] pci 0000:00:0f.2: PCI INT A -> Link[LPUS] -> GSI 7 (level, low) -> IRQ 7
[    0.472030] pci 0000:00:0f.2: PCI INT A disabled
[    0.472143] Unpacking initramfs...
[    0.883056] Freeing initrd memory: 11080k freed
[    0.895795] audit: initializing netlink socket (disabled)
[    0.895826] type=2000 audit(1350408752.888:1): initialized
[    0.913339] highmem bounce pool size: 64 pages
[    0.913349] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.919585] VFS: Disk quotas dquot_6.5.2
[    0.919649] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.919771] msgmni has been set to 1750
[    0.920119] alg: No test for stdrng (krng)
[    0.920183] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.920189] io scheduler noop registered
[    0.920192] io scheduler deadline registered
[    0.920223] io scheduler cfq registered (default)
[    0.920382] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.920426] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.920429] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.920740] ERST: Table is not found!
[    0.920743] GHES: HEST is not enabled!
[    0.920765] isapnp: Scanning for PnP cards...
[    1.274581] isapnp: No Plug & Play device found
[    1.274703] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.295096] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    1.316681] 00:02: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    1.352299] Linux agpgart interface v0.103
[    1.352704] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    1.354401] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.354413] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.354649] mousedev: PS/2 mouse device common for all mice
[    1.354899] rtc_cmos 00:05: rtc core: registered rtc_cmos as rtc0
[    1.354932] rtc0: alarms up to one year, 242 bytes nvram
[    1.354949] cpuidle: using governor ladder
[    1.354952] cpuidle: using governor menu
[    1.355351] TCP cubic registered
[    1.355442] NET: Registered protocol family 10
[    1.356357] Mobile IPv6
[    1.356363] NET: Registered protocol family 17
[    1.356370] Registering the dns_resolver key type
[    1.356412] Using IPI No-Shortcut mode
[    1.356637] PM: Hibernation image not present or could not be loaded.
[    1.356656] registered taskstats version 1
[    1.359886] rtc_cmos 00:05: setting system clock to 2012-10-16 17:32:34 UTC (1350408754)
[    1.359938] Initializing network drop monitor service
[    1.360215] Freeing unused kernel memory: 412k freed
[    1.360675] Write protecting the kernel text: 2840k
[    1.360747] Write protecting the kernel read-only data: 1088k
[    1.372747] 1;total 0
[    1.386604] 1;crw-------    1 0        0           5,   1 Oct 16 17:32 console
[    1.430066] 1;crw-------    1 0        0          10,  62 Oct 16 17:32 cpu_dma_latency
[    1.477674] 1;crw-rw-rw-    1 0        0           1,   7 Oct 16 17:32 full
[    1.519579] 1;crw-------    1 0        0          10, 228 Oct 16 17:32 hpet
[    1.561486] 1;drwxr-xr-x    2 0        0               60 Oct 16 17:32 input
[    1.603915] 1;crw-------    1 0        0           1,  11 Oct 16 17:32 kmsg
[    1.645784] 1;crw-------    1 0        0          10, 227 Oct 16 17:32 mcelog
[    1.688725] 1;crw-------    1 0        0           1,   1 Oct 16 17:32 mem
[    1.730091] 1;crw-------    1 0        0          10,  61 Oct 16 17:32 network_latency
[    1.777741] 1;crw-------    1 0        0          10,  60 Oct 16 17:32 network_throughput
[    1.826970] 1;crw-rw-rw-    1 0        0           1,   3 Oct 16 17:32 null
[    1.868893] 1;crw-------    1 0        0           1,  12 Oct 16 17:32 oldmem
[    1.892052] Refined TSC clocksource calibration: 2799.204 MHz.
[    1.892061] Switching to clocksource tsc
[    1.911831] 1;crw-------    1 0        0           1,   4 Oct 16 17:32 port
[    1.953719] 1;crw-------    1 0        0          10,   1 Oct 16 17:32 psaux
[    1.996151] 1;crw-rw-rw-    1 0        0           5,   2 Oct 16 17:32 ptmx
[    2.038062] 1;crw-rw-rw-    1 0        0           1,   8 Oct 16 17:32 random
[    2.081010] 1;crw-------    1 0        0         254,   0 Oct 16 17:32 rtc0
[    2.122877] 1;crw-------    1 0        0          10, 231 Oct 16 17:32 snapshot
[    2.166870] 1;crw-rw-rw-    1 0        0           5,   0 Oct 16 17:32 tty
[    2.208251] 1;crw-------    1 0        0           4,   0 Oct 16 17:32 tty0
[    2.250112] 1;crw-------    1 0        0           4,   1 Oct 16 17:32 tty1
[    2.291970] 1;crw-------    1 0        0           4,  10 Oct 16 17:32 tty10
[    2.334351] 1;crw-------    1 0        0           4,  11 Oct 16 17:32 tty11
[    2.376732] 1;crw-------    1 0        0           4,  12 Oct 16 17:32 tty12
[    2.419114] 1;crw-------    1 0        0           4,  13 Oct 16 17:32 tty13
[    2.461494] 1;crw-------    1 0        0           4,  14 Oct 16 17:32 tty14
[    2.503872] 1;crw-------    1 0        0           4,  15 Oct 16 17:32 tty15
[    2.546253] 1;crw-------    1 0        0           4,  16 Oct 16 17:32 tty16
[    2.588631] 1;crw-------    1 0        0           4,  17 Oct 16 17:32 tty17
[    2.631011] 1;crw-------    1 0        0           4,  18 Oct 16 17:32 tty18
[    2.673394] 1;crw-------    1 0        0           4,  19 Oct 16 17:32 tty19
[    2.715768] 1;crw-------    1 0        0           4,   2 Oct 16 17:32 tty2
[    2.757631] 1;crw-------    1 0        0           4,  20 Oct 16 17:32 tty20
[    2.800031] 1;crw-------    1 0        0           4,  21 Oct 16 17:32 tty21
[    2.842441] 1;crw-------    1 0        0           4,  22 Oct 16 17:32 tty22
[    2.884822] 1;crw-------    1 0        0           4,  23 Oct 16 17:32 tty23
[    2.927210] 1;crw-------    1 0        0           4,  24 Oct 16 17:32 tty24
[    2.969636] 1;crw-------    1 0        0           4,  25 Oct 16 17:32 tty25
[    3.012019] 1;crw-------    1 0        0           4,  26 Oct 16 17:32 tty26
[    3.054445] 1;crw-------    1 0        0           4,  27 Oct 16 17:32 tty27
[    3.096826] 1;crw-------    1 0        0           4,  28 Oct 16 17:32 tty28
[    3.139204] 1;crw-------    1 0        0           4,  29 Oct 16 17:32 tty29
[    3.181582] 1;crw-------    1 0        0           4,   3 Oct 16 17:32 tty3
[    3.223446] 1;crw-------    1 0        0           4,  30 Oct 16 17:32 tty30
[    3.265826] 1;crw-------    1 0        0           4,  31 Oct 16 17:32 tty31
[    3.308204] 1;crw-------    1 0        0           4,  32 Oct 16 17:32 tty32
[    3.350582] 1;crw-------    1 0        0           4,  33 Oct 16 17:32 tty33
[    3.392965] 1;crw-------    1 0        0           4,  34 Oct 16 17:32 tty34
[    3.435343] 1;crw-------    1 0        0           4,  35 Oct 16 17:32 tty35
[    3.477724] 1;crw-------    1 0        0           4,  36 Oct 16 17:32 tty36
[    3.520113] 1;crw-------    1 0        0           4,  37 Oct 16 17:32 tty37
[    3.562532] 1;crw-------    1 0        0           4,  38 Oct 16 17:32 tty38
[    3.604913] 1;crw-------    1 0        0           4,  39 Oct 16 17:32 tty39
[    3.647292] 1;crw-------    1 0        0           4,   4 Oct 16 17:32 tty4
[    3.689156] 1;crw-------    1 0        0           4,  40 Oct 16 17:32 tty40
[    3.731533] 1;crw-------    1 0        0           4,  41 Oct 16 17:32 tty41
[    3.773916] 1;crw-------    1 0        0           4,  42 Oct 16 17:32 tty42
[    3.816347] 1;crw-------    1 0        0           4,  43 Oct 16 17:32 tty43
[    3.858727] 1;crw-------    1 0        0           4,  44 Oct 16 17:32 tty44
[    3.901110] 1;crw-------    1 0        0           4,  45 Oct 16 17:32 tty45
[    3.943488] 1;crw-------    1 0        0           4,  46 Oct 16 17:32 tty46
[    3.985868] 1;crw-------    1 0        0           4,  47 Oct 16 17:32 tty47
[    4.028246] 1;crw-------    1 0        0           4,  48 Oct 16 17:32 tty48
[    4.070627] 1;crw-------    1 0        0           4,  49 Oct 16 17:32 tty49
[    4.113007] 1;crw-------    1 0        0           4,   5 Oct 16 17:32 tty5
[    4.154870] 1;crw-------    1 0        0           4,  50 Oct 16 17:32 tty50
[    4.197248] 1;crw-------    1 0        0           4,  51 Oct 16 17:32 tty51
[    4.239627] 1;crw-------    1 0        0           4,  52 Oct 16 17:32 tty52
[    4.282008] 1;crw-------    1 0        0           4,  53 Oct 16 17:32 tty53
[    4.324385] 1;crw-------    1 0        0           4,  54 Oct 16 17:32 tty54
[    4.366773] 1;crw-------    1 0        0           4,  55 Oct 16 17:32 tty55
[    4.409203] 1;crw-------    1 0        0           4,  56 Oct 16 17:32 tty56
[    4.451579] 1;crw-------    1 0        0           4,  57 Oct 16 17:32 tty57
[    4.493958] 1;crw-------    1 0        0           4,  58 Oct 16 17:32 tty58
[    4.536339] 1;crw-------    1 0        0           4,  59 Oct 16 17:32 tty59
[    4.578715] 1;crw-------    1 0        0           4,   6 Oct 16 17:32 tty6
[    4.620576] 1;crw-------    1 0        0           4,  60 Oct 16 17:32 tty60
[    4.662956] 1;crw-------    1 0        0           4,  61 Oct 16 17:32 tty61
[    4.705341] 1;crw-------    1 0        0           4,  62 Oct 16 17:32 tty62
[    4.747720] 1;crw-------    1 0        0           4,  63 Oct 16 17:32 tty63
[    4.790107] 1;crw-------    1 0        0           4,   7 Oct 16 17:32 tty7
[    4.832017] 1;crw-------    1 0        0           4,   8 Oct 16 17:32 tty8
[    4.873920] 1;crw-------    1 0        0           4,   9 Oct 16 17:32 tty9
[    4.915792] 1;crw-------    1 0        0           4,  64 Oct 16 17:32 ttyS0
[    4.958214] 1;crw-------    1 0        0           4,  65 Oct 16 17:32 ttyS1
[    5.000593] 1;crw-------    1 0        0           4,  66 Oct 16 17:32 ttyS2
[    5.042973] 1;crw-------    1 0        0           4,  67 Oct 16 17:32 ttyS3
[    5.085357] 1;crw-rw-rw-    1 0        0           1,   9 Oct 16 17:32 urandom
[    5.128835] 1;crw-------    1 0        0           7,   0 Oct 16 17:32 vcs
[    5.170213] 1;crw-------    1 0        0           7,   1 Oct 16 17:32 vcs1
[    5.212081] 1;crw-------    1 0        0           7, 128 Oct 16 17:32 vcsa
[    5.253934] 1;crw-------    1 0        0           7, 129 Oct 16 17:32 vcsa1
[    5.296328] 1;crw-------    1 0        0          10,  63 Oct 16 17:32 vga_arbiter
[    5.341881] 1;crw-rw-rw-    1 0        0           1,   5 Oct 16 17:32 zero
[    5.390701] Loading qla2xxx
[    5.419275] SCSI subsystem initialized
[    5.432768] qla2xxx [0000:00:00.0]-0005: : QLogic Fibre Channel HBA Driver: 8.03.07.12-k.
[    5.432845] qla2xxx 0000:02:02.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[    5.432881] qla2xxx [0000:02:02.0]-001d: : Found an ISP2312 irq 18 iobase 0xf81fe000.
[    5.433381] qla2xxx [0000:02:02.0]-0040:0: Configuring PCI space...
[    5.433567] qla2xxx [0000:02:02.0]-0061:0: Configure NVRAM parameters...
[    5.523310] qla2xxx [0000:02:02.0]-0078:0: Verifying loaded RISC code...
[    5.648161] qla2xxx [0000:02:02.0]-00c5:0: Allocated (1180 KB) for firmware dump.
[    5.696101] scsi0 : qla2xxx
[    9.290744] qla2xxx [0000:02:02.0]-500a:0: LOOP UP detected (2 Gbps).
[    9.844038] qla2xxx [0000:02:02.0]-00fa:0: QLogic Fibre Channed HBA Driver: 8.03.07.12-k.
[    9.844044] qla2xxx [0000:02:02.0]-00fb:0: QLogic IBM HS20 - .
[    9.844052] qla2xxx [0000:02:02.0]-00fc:0: ISP2312: PCI-X (133 MHz) @ 0000:02:02.0 hdma- host#=0 fw=3.03.28 IPX.
[    9.844098] qla2xxx 0000:02:02.1: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[    9.844133] qla2xxx [0000:02:02.1]-001d: : Found an ISP2312 irq 19 iobase 0xf8204000.
[    9.844580] qla2xxx [0000:02:02.1]-0040:1: Configuring PCI space...
[    9.844731] qla2xxx [0000:02:02.1]-0050:1: No matching ROM signature.
[    9.883387] qla2xxx [0000:02:02.1]-0061:1: Configure NVRAM parameters...
[    9.973042] qla2xxx [0000:02:02.1]-0078:1: Verifying loaded RISC code...
[   10.100161] qla2xxx [0000:02:02.1]-00c5:1: Allocated (1180 KB) for firmware dump.
[   10.148094] scsi1 : qla2xxx
[   10.703496] scsi 0:0:0:0: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   10.709881] scsi 0:0:0:1: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   10.711202] scsi 0:0:1:0: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   10.718065] scsi 0:0:1:1: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   13.742302] qla2xxx [0000:02:02.1]-500a:1: LOOP UP detected (2 Gbps).
[   14.280035] qla2xxx [0000:02:02.1]-00fa:1: QLogic Fibre Channed HBA Driver: 8.03.07.12-k.
[   14.280041] qla2xxx [0000:02:02.1]-00fb:1: QLogic IBM HS20 - .
[   14.280049] qla2xxx [0000:02:02.1]-00fc:1: ISP2312: PCI-X (133 MHz) @ 0000:02:02.1 hdma- host#=1 fw=3.03.28 IPX.
[   14.295603] usbcore: registered new interface driver usbfs
[   14.295947] usbcore: registered new interface driver hub
[   14.297078] usbcore: registered new device driver usb
[   14.298467] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   14.301927] uhci_hcd: USB Universal Host Controller Interface driver
[   14.305753] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   14.305808] ohci_hcd 0000:00:0f.2: PCI INT A -> Link[LPUS] -> GSI 7 (level, low) -> IRQ 7
[   14.305837] ohci_hcd 0000:00:0f.2: OHCI Host Controller
[   14.305882] ohci_hcd 0000:00:0f.2: new USB bus registered, assigned bus number 1
[   14.305920] ohci_hcd 0000:00:0f.2: irq 7, io mem 0xfebfe000
[   14.362072] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[   14.362077] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[   14.362081] usb usb1: Product: OHCI Host Controller
[   14.362083] usb usb1: Manufacturer: Linux 3.2.0-3-686-pae ohci_hcd
[   14.362086] usb usb1: SerialNumber: 0000:00:0f.2
[   14.362700] hub 1-0:1.0: USB hub found
[   14.362726] hub 1-0:1.0: 4 ports detected
[   14.375620] usbcore: registered new interface driver usbhid
[   14.375625] usbhid: USB HID core driver
[   14.696025] usb 1-4: new full-speed USB device number 2 using ohci_hcd
[   14.868991] usb 1-4: New USB device found, idVendor=04b4, idProduct=5204
[   14.868996] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   14.869000] usb 1-4: Product: 4 Port Hub
[   14.869003] usb 1-4: Manufacturer: Cypress Semiconductor
[   14.878217] hub 1-4:1.0: USB hub found
[   14.881004] hub 1-4:1.0: 4 ports detected
[   15.155409] scsi 1:0:0:0: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   15.161861] scsi 1:0:0:1: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   15.163197] scsi 1:0:1:0: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   15.169806] scsi 1:0:1:1: Direct-Access     DGC      RAID 5           0326 PQ: 0 ANSI: 4
[   15.189947] usb 1-4.1: new full-speed USB device number 3 using ohci_hcd
[   15.303918] usb 1-4.1: New USB device found, idVendor=04b3, idProduct=4002
[   15.303923] usb 1-4.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   15.303926] usb 1-4.1: Product: PPC I/F
[   15.303929] usb 1-4.1: Manufacturer: IBM
[   15.303932] usb 1-4.1: SerialNumber: IBMRAPT0R   
[   15.322598] input: IBM PPC I/F as /devices/pci0000:00/0000:00:0f.2/usb1/1-4/1-4.1/1-4.1:1.0/input/input0
[   15.322976] generic-usb 0003:04B3:4002.0001: input,hidraw0: USB HID v1.10 Keyboard [IBM PPC I/F] on usb-0000:00:0f.2-4.1/input0
[   15.337238] input: IBM PPC I/F as /devices/pci0000:00/0000:00:0f.2/usb1/1-4/1-4.1/1-4.1:1.1/input/input1
[   15.337995] generic-usb 0003:04B3:4002.0002: input,hidraw1: USB HID v1.10 Mouse [IBM PPC I/F] on usb-0000:00:0f.2-4.1/input1
[   15.413901] usb 1-4.3: new full-speed USB device number 4 using ohci_hcd
[   15.524881] usb 1-4.3: New USB device found, idVendor=04b3, idProduct=4004
[   15.524886] usb 1-4.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   15.524890] usb 1-4.3: Product: HIDK/M
[   15.524893] usb 1-4.3: Manufacturer: IBM
[   15.540594] input: IBM HIDK/M as /devices/pci0000:00/0000:00:0f.2/usb1/1-4/1-4.3/1-4.3:1.0/input/input2
[   15.540966] generic-usb 0003:04B3:4004.0003: input,hidraw2: USB HID v1.10 Keyboard [IBM HIDK/M] on usb-0000:00:0f.2-4.3/input0
[   15.549447] input: IBM HIDK/M as /devices/pci0000:00/0000:00:0f.2/usb1/1-4/1-4.3/1-4.3:1.1/input/input3
[   15.550204] generic-usb 0003:04B3:4004.0004: input,hidraw3: USB HID v1.10 Mouse [IBM HIDK/M] on usb-0000:00:0f.2-4.3/input1

** Model information
Product Name: IBM eServer BladeCenter HS20 -[883221X]-
BIOS Version: -[BSE123AUS-1.09]-

** Loaded modules:
[irrelevant, elided]

** PCI devices:
00:00.0 Host bridge [0600]: Broadcom CMIC-LE Host Bridge (GC-LE chipset) [1166:0014] (rev 33)
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.1 Host bridge [0600]: Broadcom CMIC-LE Host Bridge (GC-LE chipset) [1166:0014]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.2 Host bridge [0600]: Broadcom CMIC-LE Host Bridge (GC-LE chipset) [1166:0014]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Rage XL [1002:4752] (rev 27) (prog-if 00 [VGA controller])
	Subsystem: IBM eServer xSeries server mainboard [1014:0240]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: I/O ports at 2200 [size=256]
	Region 2: Memory at febff000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at 40000000 [disabled] [size=128K]
	Capabilities: <access denied>

00:0f.0 Host bridge [0600]: Broadcom CSB6 South Bridge [1166:0203] (rev b0)
	Subsystem: Broadcom Device [1166:0201]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 64
	Kernel driver in use: piix4_smbus

00:0f.1 IDE interface [0101]: Broadcom CSB6 RAID/IDE Controller [1166:0213] (rev b0) (prog-if 82 [Master PriP])
	Subsystem: Broadcom Device [1166:0212]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 0700 [size=16]
	Kernel driver in use: pata_serverworks

00:0f.2 USB controller [0c03]: Broadcom CSB6 OHCI USB Controller [1166:0221] (rev 05) (prog-if 10 [OHCI])
	Subsystem: Broadcom Device [1166:0220]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (20000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 7
	Region 0: Memory at febfe000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:0f.3 ISA bridge [0601]: Broadcom GCLE-2 Host Bridge [1166:0227]
	Subsystem: Broadcom Device [1166:0230]
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:10.0 Host bridge [0600]: Broadcom CIOB-E I/O Bridge with Gigabit Ethernet [1166:0110] (rev 12)
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:10.2 Host bridge [0600]: Broadcom CIOB-E I/O Bridge with Gigabit Ethernet [1166:0110] (rev 12)
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Capabilities: <access denied>

01:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5704S Gigabit Ethernet [14e4:16a8] (rev 02)
	Subsystem: IBM Device [1014:029c]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (16000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fbff0000 (64-bit, non-prefetchable) [size=64K]
	Region 2: Memory at fbfe0000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: tg3

01:00.1 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5704S Gigabit Ethernet [14e4:16a8] (rev 02)
	Subsystem: IBM Device [1014:029c]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (16000ns min), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fbfd0000 (64-bit, non-prefetchable) [size=64K]
	Region 2: Memory at fbfc0000 (64-bit, non-prefetchable) [size=64K]
	Expansion ROM at <ignored> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: tg3

02:02.0 Fibre Channel [0c04]: QLogic Corp. ISP2312-based 2Gb Fibre Channel to PCI-X HBA [1077:2312] (rev 02)
	Subsystem: IBM Device [1014:027d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 128 (16000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 2400 [size=256]
	Region 1: Memory at f9ffe000 (64-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at 40020000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: qla2xxx

02:02.1 Fibre Channel [0c04]: QLogic Corp. ISP2312-based 2Gb Fibre Channel to PCI-X HBA [1077:2312] (rev 02)
	Subsystem: IBM Device [1014:027d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 128 (16000ns min), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 2600 [size=256]
	Region 1: Memory at f9ffc000 (64-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at 40040000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: qla2xxx


** USB devices:
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.2.0-3-686-pae depends on:
ii  debconf [debconf-2.0]                   1.5.46
ii  initramfs-tools [linux-initramfs-tool]  0.108
ii  kmod                                    9-2
ii  linux-base                              3.5
ii  module-init-tools                       9-2

Versions of packages linux-image-3.2.0-3-686-pae recommends:
ii  firmware-linux-free  3.1
ii  libc6-i686           2.13-35

Versions of packages linux-image-3.2.0-3-686-pae suggests:
pn  debian-kernel-handbook     <none>
pn  grub-pc | extlinux | lilo  <none>
pn  linux-doc-3.2              <none>

Versions of packages linux-image-3.2.0-3-686-pae is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
ii  firmware-ipw2x00        0.36
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        <none>
pn  firmware-libertas       <none>
ii  firmware-linux          0.36
ii  firmware-linux-nonfree  0.36
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
ii  firmware-qlogic         0.36
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.2.0-3-686-pae/prerm/removing-running-kernel-3.2.0-3-686-pae: true
  linux-image-3.2.0-3-686-pae/postinst/depmod-error-initrd-3.2.0-3-686-pae: false
  linux-image-3.2.0-3-686-pae/postinst/missing-firmware-3.2.0-3-686-pae:
  linux-image-3.2.0-3-686-pae/postinst/ignoring-ramdisk:


Reply to: